import { MantineColor, MantineSize, Text } from "@mantine/core";

export interface SettingsTitleProps {
    children: React.ReactNode;
    mt?: MantineSize;
    c?: MantineColor;
}

export function SettingsTitle(props: SettingsTitleProps) {
    return (<Text fz={12} c={'dimmed'} style={{
        textTransform: 'uppercase',
    }} pl={'xs'} pr={'xs'} mb={5} mt={props.mt}>{props.children}</Text>);
}